# Interface AuxReader

All Known Implementing Classes:
  `FloatingCoordAuxReader`

public interface AuxReader
Extracts range information from plot data.

Since:
  4 Feb 2013
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`adjustAuxRange(Surface surface, DataSpec dataSpec, DataStore dataStore, Object[] knownPlans, Ranger ranger)`
May use the supplied data specification to update (usually extend) the given range.
`uk.ac.starlink.table.ValueInfo`
`getAxisInfo(DataSpec dataSpec)`
Attempts to provide information suitable for labelling the axis corresponding to the values ranged by this reader.
`int`
`getCoordIndex()`
Returns the DataSpec index for the coordinate whose value is used by this reader.
`Scaling`
`getScaling()`
Returns a scaling that will be used on the result of the aux ranging done by this reader, if any.

## Method Details

### adjustAuxRange

void adjustAuxRange(Surface surface, DataSpec dataSpec, DataStore dataStore, Object[] knownPlans, Ranger ranger)
May use the supplied data specification to update (usually extend) the given range. If available an array of plan objects may be supplied as well. The implementation may be able to make use of these to improve efficiency of the ranging (perhaps to avoid a data scan).

Parameters:
  `surface` - plot data destination surface
  `dataSpec` - specification for data
  `dataStore` - data storage object
  `knownPlans` - array of available plan objects; may be empty
  `ranger` - object to be updated with range information

### getScaling

Scaling getScaling()
Returns a scaling that will be used on the result of the aux ranging done by this reader, if any. If no scaler will be generated from the resulting Span (no special requirements on Span behaviour), then null may be returned.

Returns:
  aux scaling type, or null

### getCoordIndex

int getCoordIndex()
Returns the DataSpec index for the coordinate whose value is used by this reader. This is provided on a best-efforts basis; if no single coordinate fits this description, then -1 may be returned.

Returns:
  DataSpec coord index for auxiliary coordinate being ranged, or -1

### getAxisInfo

uk.ac.starlink.table.ValueInfo getAxisInfo(DataSpec dataSpec)
Attempts to provide information suitable for labelling the axis corresponding to the values ranged by this reader.

Parameters:
  `dataSpec` - data specification
Returns:
  info corresponding to this reader's scale, or null if none known